Wallets | Moov Documentation

Moov wallets provide flexibility on when and how accounts can move funds. Each Moov account is provided with a default wallet to store funds. Accounts can request additional general wallets to store more funds. With wallets, you can:

Read our wallet source and wallet money movement documentation.

API Endpoints

Create a wallet
POST
/accounts/{accountID}/wallets

Retrieve a wallet
GET
/accounts/{accountID}/wallets/{walletID}

List wallets
GET
/accounts/{accountID}/wallets

Retrieve a wallet transaction
GET
/accounts/{accountID}/wallets/{walletID}/transactions/{transactionID}

List wallet transactions
GET
/accounts/{accountID}/wallets/{walletID}/transactions

Get adjustment
GET
/accounts/{accountID}/adjustments/{adjustmentID}

List adjustments
GET
/accounts/{accountID}/adjustments

Update a wallet
PATCH
/accounts/{accountID}/wallets/{walletID}